Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdInfo

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdInfo

    public class cmdInfo
    extends DatecsFiscalDevice

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdInfo.CurrentReceiptInfo` |
  `static class` | `cmdInfo.DailyTaxation` | Data Class nRep - Number of report (1...3650); SumX - Depend on Type.
  `static class` | `cmdInfo.OperatorInfoModel` |
  `static class` | `cmdInfo.QRinfo` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdInfo()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String[]` | `GetActiveTaxRates()` |
  `java.lang.String` | `GetActiveTaxRatesDate()` |
  `cmdInfo.DailyTaxation` | `GetAmountOnTAXgroup​(boolean isStorno)` |
  `boolean` | `GetAutoPaperCutting()` |
  `int` | `GetAutoPowerOff()` |
  `int` | `GetBarCodeHeight()` |
  `boolean` | `GetBarcodeName()` |
  `java.lang.String` | `GetBthAddress()` |
  `boolean` | `GetBthDiscoverability()` |
  `int` | `GetBthPairing()` |
  `int` | `GetBthPinCode()` |
  `java.lang.String` | `GetBthVersion()` |
  `cmdInfo.CurrentReceiptInfo` | `GetCurrentReceipt()` |
  `java.lang.String` | `GetCurrNameForeign()` |
  `java.lang.String` | `GetCurrNameLocal()` | Locam currency name( up to 3 chars );
  `DailyInfoModel` | `GetDailyCashCashInOut()` |
  `DailyInfoModel` | `GetDailyNumAndSumsOfDiscountsSurcharges()` |
  `DailyInfoModel` | `GetDailyNumAndSumsOfSells()` |
  `DailyInfoModel` | `GetDailyNumAndSumsOfVoided()` |
  `DailyInfoModel` | `GetDailyPayments()` |
  `DailyInfoModel` | `GetDailyPaymentsStornoOperations()` |
  `cmdInfo.DailyTaxation` | `GetDailyTurnoverByTaxGroup​(boolean isStorno)` |
  `java.lang.String` | `GetDateBonFiscal()` |
  `java.lang.String` | `GetDateOfLastZreport()` |
  `java.lang.String` | `GetDeptName​(int deptIndex)` |
  `java.lang.String` | `GetDeptPrice​(int deptIndex)` |
  `java.lang.String` | `GetDeptVat​(int deptIndex)` |
  `java.lang.String` | `GetDeviceFMnumber()` |
  `java.lang.String` | `GetDeviceSerialNumber()` |
  `boolean` | `GetEcrConnectedCashReport()` |
  `boolean` | `GetEcrConnectedDeptReport()` |
  `boolean` | `GetEcrConnectedGroupsReport()` |
  `boolean` | `GetEcrConnectedOperReport()` |
  `boolean` | `GetEcrConnectedPluSalesReport()` |
  `int` | `GetEcrNumberBarcode()` |
  `boolean` | `GetEcrPluDailyClearing()` |
  `java.lang.String` | `GetError​(int Code)` |
  `java.lang.String` | `GetExchangeRate()` |
  `int` | `GetFpComBaudRate()` |
  `java.lang.String` | `GetGlobalNumberOfFiscalReceipts()` |
  `java.lang.String` | `GetGlobalNumberOfReceipts()` |
  `java.lang.String` | `GetLastFiscalRecordDate()` | Date - Date of last fiscal record in format DD-MM-YY;
  `java.lang.String[]` | `GetLastFiscEntryTurnover()` | Information on the last fiscal entry Turnover on TAX group;
  `void` | `GetLinespacing()` |
  `void` | `GetModeConnectionWithPC()` | Check for mode connection with PC
  `java.lang.String` | `GetNumberBonFiscal()` |
  `int` | `GetNumberOfCurrentOrLastReceipt()` |
  `java.lang.String` | `GetNumberOfLastZreport()` |
  `boolean` | `GetnZreport()` |
  `cmdInfo.OperatorInfoModel` | `GetOperatorInfo​(int OperatorIndex)` | Information for operator
  `java.lang.String` | `GetOperName​(int operIndex)` |
  `java.lang.String` | `GetOperPasw​(int operIndex)` |
  `boolean` | `GetPaperCuttingType()` |
  `boolean` | `GetPaymentForbidden​(int IndexOfPayment)` |
  `java.lang.String` | `GetPayName​(int indexOfPayment)` |
  `boolean` | `GetPrintBufferStatus()` |
  `cmdInfo.QRinfo` | `GetQRInfo()` |
  `int` | `GetRemainingZReportEntries()` |
  `java.lang.String` | `GetServiceDate()` |
  `java.lang.String` | `GetServMessage​(int indexOfMessage)` |
  `byte[]` | `GetStatus()` |
  `java.lang.String` | `GetTaxNumber()` |
  `java.lang.String` | `GetUnitName​(int unitIndex)` |
  `java.lang.String` | `PrintDiagnostic()` |

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdInfo

    public cmdInfo()

- ## Method Details

  - ### GetModeConnectionWithPC

    public void GetModeConnectionWithPC() throws java.lang.Exception
    Check for mode connection with PC
    Throws:
      `java.lang.Exception`

  - ### GetActiveTaxRates

    public java.lang.String[] GetActiveTaxRates() throws java.lang.Exception
    Returns:
      Return the active VAT rates ( Value of Tax group X (0.00...99.99 taxable,100.00=disabled);)
    Throws:
      `java.lang.Exception`

  - ### GetActiveTaxRatesDate

    public java.lang.String GetActiveTaxRatesDate() throws java.lang.Exception
    Returns:
      Return the active VAT rates Date of entry ( format DD-MM-YY );
    Throws:
      `java.lang.Exception` - Exception

  - ### GetLastFiscEntryTurnover

    public java.lang.String[] GetLastFiscEntryTurnover() throws java.lang.Exception
    Information on the last fiscal entry Turnover on TAX group;
    Returns:
      nRep - Number of report 1...1825 or 3650; SumX - Depend on Type. X is the letter of TAX group ( 0.00...9999999.99 or 0...999999999 depending dec point position); Date - Date of fiscal record in format DD-MM-YY;
    Throws:
      `java.lang.Exception`

  - ### GetRemainingZReportEntries

    public int GetRemainingZReportEntries() throws java.lang.Exception
    Returns:
      Number of remaining entries for Z-reports in FM
    Throws:
      `java.lang.Exception`

  - ### PrintDiagnostic

    public java.lang.String PrintDiagnostic() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### GetStatus

    public byte[] GetStatus() throws java.lang.Exception
    Returns:
      Status Bytes ( See the description of the status bytes ).
    Throws:
      `java.lang.Exception`

  - ### GetLastFiscalRecordDate

    public java.lang.String GetLastFiscalRecordDate() throws java.lang.Exception
    Date - Date of last fiscal record in format DD-MM-YY;
    Throws:
      `java.lang.Exception`

  - ### GetTaxNumber

    public java.lang.String GetTaxNumber() throws java.lang.Exception
    Returns:
      the programmed TAX number
    Throws:
      `java.lang.Exception`

  - ### GetError

    public java.lang.String GetError​(int Code) throws java.lang.Exception
    Parameters:
      `Code` - - Code of the error;
    Returns:
      Explanation of the error in Code;
    Throws:
      `java.lang.Exception`

  - ### GetCurrentReceipt

    public cmdInfo.CurrentReceiptInfo GetCurrentReceipt() throws java.lang.Exception
    Returns:
      Information for the current receipt
    Throws:
      `java.lang.Exception`

  - ### GetDailyPayments

    public DailyInfoModel GetDailyPayments() throws java.lang.Exception
    Returns:
      DailyInfoModel getFiscalMemoryNumber@throws ExceptionGetPayName
    Throws:
      `java.lang.Exception`

  - ### GetDailyPaymentsStornoOperations

    public DailyInfoModel GetDailyPaymentsStornoOperations() throws java.lang.Exception
    Returns:
      DailyInfoModel
    Throws:
      `java.lang.Exception`

  - ### GetDailyNumAndSumsOfSells

    public DailyInfoModel GetDailyNumAndSumsOfSells() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### GetDailyNumAndSumsOfDiscountsSurcharges

    public DailyInfoModel GetDailyNumAndSumsOfDiscountsSurcharges() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### GetDailyNumAndSumsOfVoided

    public DailyInfoModel GetDailyNumAndSumsOfVoided() throws java.lang.Exception
    Returns:
      DailyInfoModel
    Throws:
      `java.lang.Exception`

  - ### GetDailyCashCashInOut

    public DailyInfoModel GetDailyCashCashInOut() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### GetOperatorInfo

    public cmdInfo.OperatorInfoModel GetOperatorInfo​(int OperatorIndex) throws java.lang.Exception
    Information for operator
    Parameters:
      `OperatorIndex` - Number of operator (1...30);
    Returns:
      - Receipts - Number of fiscal receipts, issued by the operator (0...65535); -Total - Total accumulated sum ( 0.00...9999999.99 or 0...999999999 depending dec point position ); - nDiscount - Number of discounts (0...65535);; - Discount - Total accumulated sum of discounts with sign ( 0.00...9999999.99 or 0...999999999 depending dec point position ); - nSurcharge - Number of surcharges (0...65535); - Surcharge - Total accumulated sum of surcharges with sign( 0.00...9999999.99 or 0...999999999 depending dec point position ); - nVoid - Number of corrections (0...65535); - Void - Total accumulated sum of corrections with sign( 0.00...9999999.99 or 0...999999999 depending dec point position );
    Throws:
      `java.lang.Exception`

  - ### GetFpComBaudRate

    public int GetFpComBaudRate() throws java.lang.Exception
    Returns:
      Baud rate of COM port for communication with PC ( from 0 to 9 )
    Throws:
      `java.lang.Exception`

  - ### GetBthDiscoverability

    public boolean GetBthDiscoverability() throws java.lang.Exception
    Returns:
      if true bluetooth is discoverable (only for bluetooth enabled devices)
    Throws:
      `java.lang.Exception`

  - ### GetnZreport

    public boolean GetnZreport() throws java.lang.Exception
    Returns:
      Number of current Z report;
    Throws:
      `java.lang.Exception`

  - ### GetBthPairing

    public int GetBthPairing() throws java.lang.Exception
    Returns:
      0-unsecure, 1-reset and save, 2-reset; (only for bluetooth enabled devices)
    Throws:
      `java.lang.Exception`

  - ### GetBthPinCode

    public int GetBthPinCode() throws java.lang.Exception
    Returns:
      pin code for bluetooth pairing ( default: 0000 ); (only for bluetooth enabled devices)
    Throws:
      `java.lang.Exception`

  - ### GetBthVersion

    public java.lang.String GetBthVersion() throws java.lang.Exception
    Returns:
      firmware version of bluetooth module; (only for bluetooth enabled devices)
    Throws:
      `java.lang.Exception`

  - ### GetBthAddress

    public java.lang.String GetBthAddress() throws java.lang.Exception
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetBarCodeHeight

    public int GetBarCodeHeight() throws java.lang.Exception
    Returns:
      - Barcode height from '1' (7mm) to '10' (70mm);
    Throws:
      `java.lang.Exception`

  - ### GetBarcodeName

    public boolean GetBarcodeName() throws java.lang.Exception
    Returns:
      - if true printing of the barcode data is enabled;
    Throws:
      `java.lang.Exception`

  - ### GetAutoPaperCutting

    public boolean GetAutoPaperCutting() throws java.lang.Exception
    Returns:
      if true the automatic cutting of paper after each receipt is permitted. ( 1 - permitted, 0 - rejected ) (FP-705 only);
    Throws:
      `java.lang.Exception`

  - ### GetPaperCuttingType

    public boolean GetPaperCuttingType() throws java.lang.Exception
    Returns:
      PaperCuttingType
    Throws:
      `java.lang.Exception`

  - ### GetLinespacing

    public void GetLinespacing() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### GetEcrConnectedOperReport

    public boolean GetEcrConnectedOperReport() throws java.lang.Exception
    Returns:
      If [true] When making Z-report, automatically make "Operator report"
    Throws:
      `java.lang.Exception`

  - ### GetEcrConnectedGroupsReport

    public boolean GetEcrConnectedGroupsReport() throws java.lang.Exception
    Returns:
      - If [true] When making Z-report, automatically make "Group report"
    Throws:
      `java.lang.Exception`

  - ### GetEcrConnectedDeptReport

    public boolean GetEcrConnectedDeptReport() throws java.lang.Exception
    Returns:
      If [true] When making Z-report, automatically make "Report by Departments"
    Throws:
      `java.lang.Exception`

  - ### GetEcrConnectedPluSalesReport

    public boolean GetEcrConnectedPluSalesReport() throws java.lang.Exception
    Returns:
      If [true] When making Z-report, automatically make "Report by PLU with turnovers"
    Throws:
      `java.lang.Exception`

  - ### GetEcrConnectedCashReport

    public boolean GetEcrConnectedCashReport() throws java.lang.Exception
    Returns:
      If [true] When making Z-report, automatically make "ECR report"
    Throws:
      `java.lang.Exception`

  - ### GetEcrPluDailyClearing

    public boolean GetEcrPluDailyClearing() throws java.lang.Exception
    Returns:
      If [true] When making Z-report, automatically clear PLU turnover
    Throws:
      `java.lang.Exception`

  - ### GetEcrNumberBarcode

    public int GetEcrNumberBarcode() throws java.lang.Exception
    Returns:
      tre
    Throws:
      `java.lang.Exception`

  - ### GetAutoPowerOff

    public int GetAutoPowerOff() throws java.lang.Exception
    Returns:
      Minutes to automatically turn off FPR if it is idle. ( 0 - disable; from 1 minute to 15 minutes );
    Throws:
      `java.lang.Exception`

  - ### GetCurrNameLocal

    public java.lang.String GetCurrNameLocal() throws java.lang.Exception
    Locam currency name( up to 3 chars );
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetCurrNameForeign

    public java.lang.String GetCurrNameForeign() throws java.lang.Exception
    Returns:
      Foreign currency name( up to 3 chars )
    Throws:
      `java.lang.Exception`

  - ### GetExchangeRate

    public java.lang.String GetExchangeRate() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### GetUnitName

    public java.lang.String GetUnitName​(int unitIndex) throws java.lang.Exception
    Returns:
      -Unit_name - Text up to 6 chars. The line is determined by "Index". Index 0 is for line 1...Index 19 is for line 20;
    Throws:
      `java.lang.Exception`

  - ### GetOperName

    public java.lang.String GetOperName​(int operIndex) throws java.lang.Exception
    Parameters:
      `operIndex` - [1-30]
    Returns:
      Name of operator. Text up to 32 symbols. Number of operator is determined by "operIndex";
    Throws:
      `java.lang.Exception`

  - ### GetOperPasw

    public java.lang.String GetOperPasw​(int operIndex) throws java.lang.Exception
    Parameters:
      `operIndex` -
    Returns:
    Throws:
      `java.lang.Exception`

  - ### GetDeptName

    public java.lang.String GetDeptName​(int deptIndex) throws java.lang.Exception
    Parameters:
      `deptIndex` - Number of department is determined by "Index";
    Returns:
      - Name of department. Text up to 32 symbols.
    Throws:
      `java.lang.Exception`

  - ### GetDeptPrice

    public java.lang.String GetDeptPrice​(int deptIndex) throws java.lang.Exception
    Parameters:
      `deptIndex` - Number of department is determined by "Index";
    Returns:
      - - Programmed price of department( from 0 to 999999999 ).
    Throws:
      `java.lang.Exception`

  - ### GetDeptVat

    public java.lang.String GetDeptVat​(int deptIndex) throws java.lang.Exception
    Parameters:
      `deptIndex` - Number of department is determined by "Index";
    Returns:
      - - VAT group of department( from 1 to 8 ).
    Throws:
      `java.lang.Exception`

  - ### GetPaymentForbidden

    public boolean GetPaymentForbidden​(int IndexOfPayment) throws java.lang.Exception
    Parameters:
      `IndexOfPayment` - number of payment
    Returns:
      True if is Forbidden;
    Throws:
      `java.lang.Exception`

  - ### GetPayName

    public java.lang.String GetPayName​(int indexOfPayment) throws java.lang.Exception
    Parameters:
      `indexOfPayment` -
    Returns:
      Name of payment. Text up to 10 symbols. Number of payment is determined by "indexOfPayment". Index 0 is not programmable!;
    Throws:
      `java.lang.Exception`

  - ### GetServMessage

    public java.lang.String GetServMessage​(int indexOfMessage) throws java.lang.Exception
    Parameters:
      `indexOfMessage` - Message line is determined by "Index";
    Returns:
      - Message that will be printed when "ServDate" is reached, up to 42 symbols. ( Require Service jumper )
    Throws:
      `java.lang.Exception`

  - ### GetServiceDate

    public java.lang.String GetServiceDate() throws java.lang.Exception
    Returns:
      Service date( Format: DD-MM-YY HH:MM:SS );
    Throws:
      `java.lang.Exception`

  - ### GetDeviceSerialNumber

    public java.lang.String GetDeviceSerialNumber() throws java.lang.Exception
    Returns:
      Device Serial Number
    Throws:
      `java.lang.Exception`

  - ### GetGlobalNumberOfReceipts

    public java.lang.String GetGlobalNumberOfReceipts() throws java.lang.Exception
    Returns:
      global number of receipts;
    Throws:
      `java.lang.Exception`

  - ### GetGlobalNumberOfFiscalReceipts

    public java.lang.String GetGlobalNumberOfFiscalReceipts() throws java.lang.Exception
    Returns:
      global number of fiscal receipts;
    Throws:
      `java.lang.Exception`

  - ### GetDeviceFMnumber

    public java.lang.String GetDeviceFMnumber() throws java.lang.Exception
    Returns:
      Fiscal memory number
    Throws:
      `java.lang.Exception`

  - ### GetDateOfLastZreport

    public java.lang.String GetDateOfLastZreport() throws java.io.IOException, FiscalException
    Returns:
      Date of last of Z-report ( format "DD-MM-YYYY hh:mm:ss" );
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetNumberOfLastZreport

    public java.lang.String GetNumberOfLastZreport() throws java.io.IOException, FiscalException
    Returns:
      Number of last Z-report ( 1..???? );
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetNumberBonFiscal

    public java.lang.String GetNumberBonFiscal() throws java.lang.Exception
    Returns:
      Number of last sales receipt in current Z report ( 1...9999 );
    Throws:
      `java.lang.Exception`

  - ### GetDateBonFiscal

    public java.lang.String GetDateBonFiscal() throws java.io.IOException, FiscalException
    Returns:
      - Date and time of last sales receipt ( format "DD-MM-YYYY hh:mm:ss" );
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetPrintBufferStatus

    public boolean GetPrintBufferStatus() throws java.io.IOException, FiscalException
    Returns:
      - true â€“ buffer is not empty; - false empty buffer, no lines pending;
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetNumberOfCurrentOrLastReceipt

    public int GetNumberOfCurrentOrLastReceipt() throws java.io.IOException, FiscalException
    Returns:
      - The number of the current or the last receipt.
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetQRInfo

    public cmdInfo.QRinfo GetQRInfo() throws java.io.IOException, FiscalException
    Returns:
      - Fiscal QR code info
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetDailyTurnoverByTaxGroup

    public cmdInfo.DailyTaxation GetDailyTurnoverByTaxGroup​(boolean isStorno) throws java.io.IOException, FiscalException
    Returns:
      - Information on daily taxation: Turnover on TAX group;
    Throws:
      `java.io.IOException`
      `FiscalException`

  - ### GetAmountOnTAXgroup

    public cmdInfo.DailyTaxation GetAmountOnTAXgroup​(boolean isStorno) throws java.io.IOException, FiscalException
    Returns:
      -Information on daily taxation: Amount by TAX group;
    Throws:
      `java.io.IOException`
      `FiscalException`